[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.OnProgress

Event handler signalled to track the progress of operations in the class instance.

## Declaration

Source position: graphics.pp line 954

`public property TPicture.OnProgress : TProgressEvent read FOnProgress write FOnProgress;`

## Description

OnProgress is a TProgressEvent property with the event handler signalled to track the progress of operations in the class instance. See the TProgressEvent topic for more detailed information.

Applications must assign an object procedure to the event handler to respond to progress notification messages. The Sender argument contains the object which triggered the notification.

## See also

TProgressEvent |  | Specifies an event handler for monitoring the progress of a drawing process.